searchNodes=[{"doc":"Defines a behaviour required for a servo driver.","ref":"ServoKit.Driver.html","title":"ServoKit.Driver","type":"behaviour"},{"doc":"Initializes the servo driver and returns the initial state.Examplesiex&gt; ServoKit.PCA9685.new(%{i2c_bus: &quot;i2c-1&quot;})","ref":"ServoKit.Driver.html#c:new/1","title":"ServoKit.Driver.new/1","type":"callback"},{"doc":"Sets a single PWM channel or all PWM channels by specifying the duty cycle in percent.Examplesiex&gt; ServoKit.PCA9685.set_pwm_duty_cycle(state, 0, 50.0) iex&gt; ServoKit.PCA9685.set_pwm_duty_cycle(state, :all, 50.0)","ref":"ServoKit.Driver.html#c:set_pwm_duty_cycle/3","title":"ServoKit.Driver.set_pwm_duty_cycle/3","type":"callback"},{"doc":"Sets the PWM frequency to the provided value in hertz. The PWM frequency is shared by all the channels.Examplesiex&gt; ServoKit.PCA9685.set_pwm_frequency(state, 50)","ref":"ServoKit.Driver.html#c:set_pwm_frequency/2","title":"ServoKit.Driver.set_pwm_frequency/2","type":"callback"},{"doc":"Lets you communicate with hardware devices using the I2C protocol. A thin wrapper of elixir-circuits/circuits_i2c.","ref":"ServoKit.I2C.html","title":"ServoKit.I2C","type":"module"},{"doc":"Callback implementation for ServoKit.I2C.Behaviour.open/1.","ref":"ServoKit.I2C.html#open/1","title":"ServoKit.I2C.open/1","type":"function"},{"doc":"Callback implementation for ServoKit.I2C.Behaviour.write/3.","ref":"ServoKit.I2C.html#write/3","title":"ServoKit.I2C.write/3","type":"function"},{"doc":"Defines a behaviour required for I²C abstraction.","ref":"ServoKit.I2C.Behaviour.html","title":"ServoKit.I2C.Behaviour","type":"behaviour"},{"doc":"","ref":"ServoKit.I2C.Behaviour.html#c:open/1","title":"ServoKit.I2C.Behaviour.open/1","type":"callback"},{"doc":"","ref":"ServoKit.I2C.Behaviour.html#c:write/3","title":"ServoKit.I2C.Behaviour.write/3","type":"callback"},{"doc":"Controls the PCA9685 PWM Servo Driver. See PCA9685 Datasheet.","ref":"ServoKit.PCA9685.html","title":"ServoKit.PCA9685","type":"module"},{"doc":"Performs the software reset. See PCA9685 Datasheet 7.1.4 and 7.6.Examplesiex&gt; ServoKit.PCA9685.reset(state)","ref":"ServoKit.PCA9685.html#reset/1","title":"ServoKit.PCA9685.reset/1","type":"function"},{"doc":"Puts the board into the sleep mode.Examplesiex&gt; ServoKit.PCA9685.sleep(state)","ref":"ServoKit.PCA9685.html#sleep/1","title":"ServoKit.PCA9685.sleep/1","type":"function"},{"doc":"Wakes the board from the sleep mode.Examplesiex&gt; ServoKit.PCA9685.wake_up(state)","ref":"ServoKit.PCA9685.html#wake_up/1","title":"ServoKit.PCA9685.wake_up/1","type":"function"},{"doc":"A collection of functions that are used for the PCA9685 driver.","ref":"ServoKit.PCA9685.Util.html","title":"ServoKit.PCA9685.Util","type":"module"},{"doc":"Calculates the PWM frequency in Hertz based on specified prescale value and reference clock speed.Exampleiex&gt; ServoKit.PCA9685.Util.frequency_from_prescale(255, 25_000_000) 24 iex&gt; ServoKit.PCA9685.Util.frequency_from_prescale(121, 25_000_000) 50 iex&gt; ServoKit.PCA9685.Util.frequency_from_prescale(60, 25_000_000) 102","ref":"ServoKit.PCA9685.Util.html#frequency_from_prescale/2","title":"ServoKit.PCA9685.Util.frequency_from_prescale/2","type":"function"},{"doc":"Calculates the PWM frequency prescale based on the formula in Datasheet 7.3.5.prescale_value = round(osc_value / (4096 * update_rate)) - 1Examplesiex&gt; ServoKit.PCA9685.Util.prescale_from_frequecy(24, 25_000_000) 253 iex&gt; ServoKit.PCA9685.Util.prescale_from_frequecy(50, 25_000_000) 121 iex&gt; ServoKit.PCA9685.Util.prescale_from_frequecy(100, 25_000_000) 60 iex&gt; ServoKit.PCA9685.Util.prescale_from_frequecy(1526, 25_000_000) 3","ref":"ServoKit.PCA9685.Util.html#prescale_from_frequecy/2","title":"ServoKit.PCA9685.Util.prescale_from_frequecy/2","type":"function"},{"doc":"Examplesiex&gt; ServoKit.PCA9685.Util.pulse_range_from_duty_cycle(0) {0, 0} iex&gt; ServoKit.PCA9685.Util.pulse_range_from_duty_cycle(50) {0, 2048} iex&gt; ServoKit.PCA9685.Util.pulse_range_from_duty_cycle(100) {0, 4095}","ref":"ServoKit.PCA9685.Util.html#pulse_range_from_duty_cycle/1","title":"ServoKit.PCA9685.Util.pulse_range_from_duty_cycle/1","type":"function"},{"doc":"Registers and manages processes.","ref":"ServoKit.ProcessRegistry.html","title":"ServoKit.ProcessRegistry","type":"module"},{"doc":"","ref":"ServoKit.ProcessRegistry.html#child_spec/1","title":"ServoKit.ProcessRegistry.child_spec/1","type":"function"},{"doc":"Starts a unique registry.","ref":"ServoKit.ProcessRegistry.html#start_link/0","title":"ServoKit.ProcessRegistry.start_link/0","type":"function"},{"doc":"","ref":"ServoKit.ProcessRegistry.html#unregister/1","title":"ServoKit.ProcessRegistry.unregister/1","type":"function"},{"doc":"Returns a standardized via-tuple for this registry.Examplesiex&gt; ProcessRegistry.via_tuple({MyController, 20}) {:via, Registry, {ProcessRegistry, {MyController, 20}}}","ref":"ServoKit.ProcessRegistry.html#via_tuple/1","title":"ServoKit.ProcessRegistry.via_tuple/1","type":"function"},{"doc":"Returns a PID or :undefined.Examplesiex&gt; ProcessRegistry.whereis_name({MyController, 20}) #PID&lt;0.235.0&gt;","ref":"ServoKit.ProcessRegistry.html#whereis_name/1","title":"ServoKit.ProcessRegistry.whereis_name/1","type":"function"},{"doc":"Defines a behaviour required for a servo.","ref":"ServoKit.Servo.html","title":"ServoKit.Servo","type":"behaviour"},{"doc":"Executes the specified command and returns the updated state.ExamplesServoKit.StandardServo.call(state, {:set_angle, [0, 90]})","ref":"ServoKit.Servo.html#c:call/2","title":"ServoKit.Servo.call/2","type":"callback"},{"doc":"Initializes the servo.Examples%{i2c_bus: &quot;i2c-1&quot;} |&gt; ServoKit.PCA9685.new() |&gt; ServoKit.StandardServo.new(%{ angle_max: 180, duty_cycle_minmax: {2.5, 12.5} })","ref":"ServoKit.Servo.html#c:new/2","title":"ServoKit.Servo.new/2","type":"callback"},{"doc":"Type that represents a servo command.","ref":"ServoKit.Servo.html#t:command/0","title":"ServoKit.Servo.command/0","type":"type"},{"doc":"","ref":"ServoKit.Servo.html#t:config/0","title":"ServoKit.Servo.config/0","type":"type"},{"doc":"","ref":"ServoKit.Servo.html#t:driver/0","title":"ServoKit.Servo.driver/0","type":"type"},{"doc":"","ref":"ServoKit.Servo.html#t:state/0","title":"ServoKit.Servo.state/0","type":"type"},{"doc":"Wraps a servo module and controls a servo using that module. The servo state will be kept in a process.","ref":"ServoKit.ServoController.html","title":"ServoKit.ServoController","type":"module"},{"doc":"Delegates the specified operation to the servo driver, and updates the state as needed.ExamplesServoKit.ServoController.call(pid, {:set_angle, [0, 180]})","ref":"ServoKit.ServoController.html#call/2","title":"ServoKit.ServoController.call/2","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"ServoKit.ServoController.html#child_spec/1","title":"ServoKit.ServoController.child_spec/1","type":"function"},{"doc":"","ref":"ServoKit.ServoController.html#child_spec/2","title":"ServoKit.ServoController.child_spec/2","type":"function"},{"doc":"Starts a servo driver process and registers the process.Examplesdriver = ServoKit.PCA9685.new() {:ok, pid} = ServoKit.ServoController.start_link(ServoKit.StandardServo, [driver, %{}])","ref":"ServoKit.ServoController.html#start_link/2","title":"ServoKit.ServoController.start_link/2","type":"function"},{"doc":"","ref":"ServoKit.ServoController.html#unregister/1","title":"ServoKit.ServoController.unregister/1","type":"function"},{"doc":"Discovers a servo process by servo module name.","ref":"ServoKit.ServoController.html#whereis/1","title":"ServoKit.ServoController.whereis/1","type":"function"},{"doc":"Supervises servo controller processes.","ref":"ServoKit.ServoSupervisor.html","title":"ServoKit.ServoSupervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"ServoKit.ServoSupervisor.html#child_spec/1","title":"ServoKit.ServoSupervisor.child_spec/1","type":"function"},{"doc":"Finds or creates a ServoController process.","ref":"ServoKit.ServoSupervisor.html#servo_controller/2","title":"ServoKit.ServoSupervisor.servo_controller/2","type":"function"},{"doc":"","ref":"ServoKit.ServoSupervisor.html#start_link/1","title":"ServoKit.ServoSupervisor.start_link/1","type":"function"},{"doc":"A collection of functions that are used for the servo abstractions.","ref":"ServoKit.ServoUtil.html","title":"ServoKit.ServoUtil","type":"module"},{"doc":"Calculates angle in degrees from a duty cycle in percent.Examplesiex&gt; driver = %{actuation_range: 170, duty_cycle_minmax: {2.5, 12.5}} ...&gt; ServoKit.ServoUtil.angle_from_duty_cycle(driver, 2.5) 0 iex&gt; driver = %{actuation_range: 170, duty_cycle_minmax: {2.5, 12.5}} ...&gt; ServoKit.ServoUtil.angle_from_duty_cycle(driver, 7.5) 90 iex&gt; driver = %{actuation_range: 170, duty_cycle_minmax: {2.5, 12.5}} ...&gt; ServoKit.ServoUtil.angle_from_duty_cycle(driver, 12.5) 180","ref":"ServoKit.ServoUtil.html#angle_from_duty_cycle/2","title":"ServoKit.ServoUtil.angle_from_duty_cycle/2","type":"function"},{"doc":"Calculates duty cycle in percent from an angle in degrees.Examplesiex&gt; driver = %{actuation_range: 170, duty_cycle_minmax: {2.5, 12.5}} ...&gt; ServoKit.ServoUtil.duty_cycle_from_angle(driver, 0) 2.5 iex&gt; driver = %{actuation_range: 170, duty_cycle_minmax: {2.5, 12.5}} ...&gt; ServoKit.ServoUtil.duty_cycle_from_angle(driver, 90) 7.5 iex&gt; driver = %{actuation_range: 170, duty_cycle_minmax: {2.5, 12.5}} ...&gt; ServoKit.ServoUtil.duty_cycle_from_angle(driver, 180) 12.5","ref":"ServoKit.ServoUtil.html#duty_cycle_from_angle/2","title":"ServoKit.ServoUtil.duty_cycle_from_angle/2","type":"function"},{"doc":"A standard servo.","ref":"ServoKit.StandardServo.html","title":"ServoKit.StandardServo","type":"module"},{"doc":"Moves the actuator to the specified position in angle.Examples{:ok, state} = ServoKit.StandardServo.set_angle(state, 0, 90)","ref":"ServoKit.StandardServo.html#set_angle/3","title":"ServoKit.StandardServo.set_angle/3","type":"function"},{"doc":"ServoKit Drive PCA9685 PWM/Servo Controller using Elixir","ref":"readme.html","title":"ServoKit","type":"extras"},{"doc":"You can install this library by adding servo_kit to your list of dependencies in mix.exs:def deps do [ {:servo_kit, &quot;~&gt; 0.0.5&quot;} ] end","ref":"readme.html#installation","title":"ServoKit - Installation","type":"extras"},{"doc":"# Initialize a driver. %{i2c_bus_name: &quot;i2c-1&quot;, frequency: 50} |&gt; ServoKit.PCA9685.new() # Set the duty cycle of Channel 0 to 7.5%. |&gt; ServoKit.PCA9685.set_pwm_duty_cycle(0, 7.5)","ref":"readme.html#examples","title":"ServoKit - Examples","type":"extras"},{"doc":"PCA9685 OverviewPCA9685 Datasheet","ref":"readme.html#links","title":"ServoKit - Links","type":"extras"}]